coursepress pro update problem

I have just updated Coursepress Pro plugin and there is now an error on my site...

Warning: array_filter() expects parameter 1 to be array, string given in /var/sites/c/ on line 2004

It is showing this error on all my course pages now.

Please can you take a look.